{
  description = "A portable Neovim flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs =
    { self, nixpkgs }:
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs { inherit system; };
    in
    {
      packages.${system}.default = pkgs.callPackage ./nix/package.nix { };
      devShells.${system}.default = pkgs.mkShell {
        packages = [ self.packages.${system}.default ];

        EDITOR = "${self.packages.${system}.default}/bin/nvim";

        shellHook = ''
          export TMP_PROJECT_ROOT="$PWD"
        '';
      };
    };
}
